> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload File

> Upload a file for notes or email attachments



## OpenAPI

````yaml post /v1.0/{company_id}/files
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/files:
    post:
      tags:
        - Files
      operationId: Files_UploadFile
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: type
          in: query
          schema:
            $ref: '#/components/schemas/FileType'
          x-position: 2
      requestBody:
        x-name: body
        content:
          application/json:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SingleResponseOfFileDto'
components:
  schemas:
    FileType:
      type: string
      description: ''
      x-enumNames:
        - InboundEmailAttachment
        - OutboundEmailAttachment
        - PersonNoteAttachment
        - JobNoteAttachment
        - SignInBrandingLogo
        - CurriculumVitae
        - PDFPreviews
        - CompanyLogo
        - HeroImage
        - ThumbImage
        - StyleSheet
        - ProfileImages
        - PublicImage
        - CandidateFile
        - PDFReport
        - LinkedInShareImage
        - TempCVFile
        - FacebookLinkedInMetaShareImage
        - TwitterMetaShareImage
        - CompanyExport
        - LoggingFile
      enum:
        - inbound_email_attachment
        - outbound_email_attachment
        - person_note_attachment
        - job_note_attachment
        - sign_in_branding_logo
        - curriculum_vitae
        - pdf_previews
        - company_logo
        - hero_image
        - thumb_image
        - style_sheet
        - profile_images
        - public_image
        - candidate_file
        - pdf_report
        - linked_in_share_image
        - temp_cv_file
        - facebook_linked_in_meta_share_image
        - twitter_meta_share_image
        - company_export
        - logging_file
    SingleResponseOfFileDto:
      type: object
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/FileDto'
    FileDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        type:
          $ref: '#/components/schemas/FileType'
        size_in_kb:
          type: integer
          format: int32
        download_link:
          type: string
        name:
          type: string
        original_name:
          type: string
        content_type:
          type: string
        file_extension:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````